emergency_restart
Prev | Kernel utility functions | Next

## Name

emergency_restart — reboot the system

## Synopsis

`void emergency_restart (` |  | void`)`;

## Arguments

`void`

  no arguments

## Description

Without shutting down any hardware or taking any locks reboot the system. This is called when we know we are in trouble so this is our best effort to reboot. This is safe to call in interrupt context.

Prev | Up | Next
panic | Home | kernel_restart